| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.ControlStage.CurrentFeedThrough Class Reference
Inheritance diagram for optoKummenberg.registers.ControlStage.CurrentFeedThrough:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsControlMode (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| feed_through_enabled
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Control Mode Channel - Offset and Scaling
    System ID: 0xB0 through 0xB7

    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name       | Id   | Type        | Unit               | Range       | Default | Comment                |
    +=====================+======+=============+====================+=============+=========+========================+
    |feed_through_enabled | 0x00 |             | None               |             | 0       |                        |
    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.ControlStage.CurrentFeedThrough.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoKummenberg.registers.ControlStage.CurrentFeedThrough.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ feed_through_enabled

optoKummenberg.registers.ControlStage.CurrentFeedThrough.feed_through_enabled

## ◆ name

optoKummenberg.registers.ControlStage.CurrentFeedThrough.name

## ◆ sys_id

optoKummenberg.registers.ControlStage.CurrentFeedThrough.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/ControlStage.py